com.holonplatform.vaadin.flow.components.builders

## Interface OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>

- Type Parameters:
    `T` - Value type
    `ITEM` - Item type
  All Superinterfaces:
    ComponentConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, DeferrableLocalizationConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasBeanDatastoreDataProviderConfigurator<ITEM,OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasDataProviderConfigurator<ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasDeferrableLocalization, HasElementConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasEnabledConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasItemCaptionConfigurator<ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasItemEnableConfigurator<ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasItemsConfigurator<ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasLabelConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, HasStyleConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>,OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>>, InputConfigurator<T,ValueHolder.ValueChangeEvent<T>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, ItemSetConfigurator<OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, OptionsSingleSelectConfigurator<T,ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, SelectableInputConfigurator<T,T,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, SingleSelectableInputConfigurator<T,ITEM,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>
  Enclosing interface:
    OptionsSingleSelectConfigurator<T,ITEM,B extends OptionsSingleSelectConfigurator<T,ITEM,B>>

      public static interface OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>
      extends OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>>, InputBuilder<T,ValueHolder.ValueChangeEvent<T>,SingleSelect<T>,ValidatableSingleSelect<T>,OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>,OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>>

  Options `SingleSelect` input builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsSingleSelectConfigurator

      `OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C extends OptionsSingleSelectConfigurator.DatastoreOptionsSingleSelectInputConfigurator<T,ITEM,C>>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C extends OptionsSingleSelectConfigurator.DatastorePropertyOptionsSingleSelectInputConfigurator<T,C>>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D extends DatastoreDataProviderConfigurator<ITEM,D>,C extends OptionsSingleSelectConfigurator.OptionsSingleSelectInputConfigurator<T,ITEM,D,C>>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D extends DatastoreDataProviderConfigurator<com.holonplatform.core.property.PropertyBox,D>,C extends OptionsSingleSelectConfigurator.PropertyOptionsSingleSelectInputConfigurator<T,D,C>>, OptionsSingleSelectConfigurator.ValidatableDatastoreOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatableDatastorePropertyOptionsSingleSelectInputBuilder<T>, OptionsSingleSelectConfigurator.ValidatableOptionsSingleSelectInputBuilder<T,ITEM>, OptionsSingleSelectConfigurator.ValidatablePropertyOptionsSingleSelectInputBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `ItemSetConfigurator.ItemCaptionGenerator<ITEM>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `InputConfigurator.BaseInputConfigurator<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `HasLabelConfigurator.BaseHasLabelConfigurator`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.OptionsSingleSelectConfigurator

      `create, create, create, create, renderer`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SingleSelectableInputConfigurator

      `dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ItemSetConfigurator

      `enumCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.SelectableInputConfigurator

      `withSelectionListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputConfigurator

      `readOnly, readOnly, required, required, withAdapter, withReadonlyChangeListener, withValueChangeListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.DeferrableLocalizationConfigurator

      `deferLocalization, withDeferredLocalization`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDeferrableLocalization

      `isDeferredLocalizationEnabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemCaptionConfigurator

      `itemCaption, itemCaption, itemCaption, itemCaptionGenerator`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasLabelConfigurator

      `create, create, label, label, label`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasItemEnableConfigurator

      `itemEnabledProvider`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasBeanDatastoreDataProviderConfigurator

      `dataSource, dataSource, dataSource`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasDataProviderConfigurator

      `addItem, dataSource, items, items`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.InputBuilder

      `build, validatable`

Copyright © 2019 The Holon Platform. All rights reserved.